#ifndef PWCX_H
#define PWCX_H

#include <linux/linkage.h>
#include "pwc-ioctl.h"

/** functions **/
asmlinkage void pwcx_init_decompress_Nala(int type, int release, void *mode, void *table);
asmlinkage void pwcx_exit_decompress_Nala(void);
asmlinkage void pwcx_decompress_Nala(struct pwc_coord *image, struct pwc_coord *view, struct pwc_coord *offset, void *src, void *dst, int flags, void *table, int bandlength);

asmlinkage void pwcx_init_decompress_Timon(int type, int release, void *mode, void *table);
asmlinkage void pwcx_exit_decompress_Timon(void);
asmlinkage void pwcx_decompress_Timon(struct pwc_coord *image, struct pwc_coord *view, struct pwc_coord *offset, void *src, void *dst, int flags, void *table, int bandlength);

asmlinkage void pwcx_init_decompress_Kiara(int type, int release, void *mode, void *table);
asmlinkage void pwcx_exit_decompress_Kiara(void);
asmlinkage void pwcx_decompress_Kiara(struct pwc_coord *image, struct pwc_coord *view, struct pwc_coord *offset, void *src, void *dst, int flags, void *table, int bandlength);

#endif
